package com.eactive.eai.common.session;

import java.io.Serializable;

/**
 * 1. 기능 : SessionVO 객체 2. 처리 개요 : 3. 주의사항
 *
 * @author :
 * @version : v 1.0.0
 * @see : 관련 기능을 참조
 * @since : :
 */
public class TerminalVO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1;

	private String terminalNo;
	private String rofcCd;// 청코드
	private String brncd;// 국코드
	private String brnName;// 국명
	private boolean isOpenTran;// 개국거래여부
	private boolean isOpen; //개국여부

	public TerminalVO() {
		super();
	}

	public String getTerminalNo() {
		return terminalNo;
	}

	public void setTerminalNo(String terminalNo) {
		this.terminalNo = terminalNo;
	}

	public String getRofcCd() {
		return rofcCd;
	}

	public void setRofcCd(String rofcCd) {
		this.rofcCd = rofcCd;
	}

	public String getBrncd() {
		return brncd;
	}

	public void setBrncd(String brncd) {
		this.brncd = brncd;
	}

	public String getBrnName() {
		return brnName;
	}

	public void setBrnName(String brnName) {
		this.brnName = brnName;
	}

	public boolean isOpenTran() {
		return isOpenTran;
	}

	public void setOpenTran(boolean isOpenTran) {
		this.isOpenTran = isOpenTran;
	}

	public boolean isOpen() {
		return isOpen;
	}

	public void setOpen(boolean isOpen) {
		this.isOpen = isOpen;
	}

	@Override
	public String toString() {
		return "TerminalVO [terminalNo=" + terminalNo + ", rofcCd=" + rofcCd + ", brncd=" + brncd + ", brnName="
				+ brnName + ", isOpenTran=" + isOpenTran + ", isOpen=" + isOpen + "]";
	}



}
